Cazana

Multi request

Call several endpoints in a single request. Requires additional onboarding; contact the Cazana team for access.

POST/multi-request/1.0

Authorization

Body

Valid JSON

Request body

datasetsstring[]
request

Responses

application/json
{
  "status": "SUCCESS",
  "response": {
    "advertFeatureSet": null,
    "keepers": null,
    "marketDemand": null,
    "mileage": null,
    "mot": null,
    "motFeatureSet": null,
    "saleEvents": null,
    "security": null,
    "spec": null,
    "status": null,
    "valuation": null,
    "vrms": null,
    "vrmToVin": null,
    "image": null
  }
}
status?string
Value in"SUCCESS""FAIL""VALIDATION"
response?

Code samples

curl --request POST \
  --url https://api.cazana.com/multi-request/1.0 \
  --header 'Authorization: bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '
{
  "datasets": [
    "abi",
    "advertFeatureSet",
    "image",
    "keepers",
    "marketDemand",
    "mileage",
    "mot",
    "motFeatureSet",
    "saleEvents",
    "security",
    "similarListings",
    "spec",
    "status",
    "valuation",
    "vrms",
    "vrmToVin"
  ],
  "request": {
    "vrm": "AB12CDE",
    "advertFeatureSet": {
      "version": "1.0",
      "date": "2020-01-01 00:00:00"
    },
    "image": {
      "version": "1.0"
    },
    "keepers": {
      "version": "1.0"
    },
    "marketDemand": {
      "version": "1.0"
    },
    "mileage": {
      "version": "1.0"
    },
    "mot": {
      "version": "1.0",
      "latest": false
    },
    "saleEvents": {
      "version": "1.0",
      "from": "2020-01-01 00:00:00",
      "to": "2020-01-01 00:00:00"
    },
    "security": {
      "version": "1.0"
    },
    "similarListings": {
      "version": "2.0",
      "page": 1,
      "limit": 20,
      "sort": "age",
      "order": "asc",
      "postcode": "EC1Y 2AA",
      "filters": {
        "colours": [
          "brown"
        ],
        "years": [
          2001
        ],
        "live": true,
        "keywords": [
          "Alloy wheels, leather seats, sunroof"
        ],
        "mileage": {
          "min": 1234,
          "max": 54321
        },
        "distance": 999,
        "dealerTypes": [
          "franchise"
        ],
        "youngUsed": false,
        "trade": false
      }
    },
    "spec": {
      "version": "1.0"
    },
    "status": {
      "version": "1.0"
    },
    "valuation": {
      "version": "1.0",
      "mileage": 100000,
      "date": "2020-01-01 00:00:00",
      "condition": "poor",
      "confidence": false,
      "stockingDepreciation": false
    },
    "vrms": {
      "version": "1.0"
    },
    "vrmToVin": {
      "version": "1.0",
      "vrm": "AB12CDE"
    },
    "abi": {
      "version": "1.0"
    },
    "motFeatureSet": {
      "version": "1.0",
      "date": "2020-01-01 00:00:00",
      "currentOwnerOnly": false
    }
  }
}
'